Package com.mockobjects

# Class AbstractExpectation

java.lang.Object
com.mockobjects.AbstractExpectation

All Implemented Interfaces:
  `Expectation`, `Verifiable`

Direct Known Subclasses:
  `AbstractExpectationCollection`, `ExpectationCounter`, `ExpectationDoubleValue`, `ExpectationSegment`, `ExpectationValue`

public abstract class AbstractExpectation extends Object implements Verifiable, Expectation

## Constructor Summary

Constructors
Constructor
Description
`AbstractExpectation(String name)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`clearActual()`
`boolean`
`hasExpectations()`
Return true if any expectations have been set on this object.
`void`
`setFailOnVerify()`
If an incorrect actual value is set, defer reporting this as a failure until verify() is called on this object.
`abstract void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mockobjects.Expectation

`setExpectNothing`

## Constructor Details

### AbstractExpectation

public AbstractExpectation(String name)

## Method Details

### clearActual

public abstract void clearActual()

### hasExpectations

public boolean hasExpectations()
Description copied from interface: `Expectation`
Return true if any expectations have been set on this object.

Specified by:
  `hasExpectations` in interface `Expectation`

### setFailOnVerify

public void setFailOnVerify()
Description copied from interface: `Expectation`
If an incorrect actual value is set, defer reporting this as a failure until verify() is called on this object.

Specified by:
  `setFailOnVerify` in interface `Expectation`

### verify

public abstract void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`